<?php

namespace App\Filament\Resources\AboutUsMessageResource\Pages;

use App\Filament\Resources\AboutUsMessageResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;

class EditAboutUsMessage extends EditRecord
{
    protected static string $resource = AboutUsMessageResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete aboutusmessage')),
        ];
    }
}